<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <groupId>net.ihe.gazelle.simulators</groupId>
        <artifactId>simulator-common</artifactId>
        <version>5.0.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <groupId>net.ihe.gazelle.xdstar.modules</groupId>
    <artifactId>XDStar-modules</artifactId>
    <packaging>pom</packaging>
    <name>XDStar-modules</name>
    <version>2.0.5-SNAPSHOT</version>
    <description>XDStarClient application (XDS.b, XDS-I.b, XCA, XDR, XCA-I, epSOS)
    </description>
    <url>http://gazelle.ihe.net/XDStarClient/</url>
    <issueManagement>
        <system>Jira</system>
        <url>http://gazelle.ihe.net/jira/browse/XDSTAR</url>
    </issueManagement>
    <ciManagement>
        <system>jenkins</system>
        <url>http://gazelle.ihe.net/jenkins/job/XDStarClient/</url>
    </ciManagement>
    <scm>
        <connection>scm:git:${git.project.url}</connection>
        <developerConnection>scm:git:${git.project.url}</developerConnection>
        <url>${git.project.url}</url>
        <tag>HEAD</tag>
    </scm>

    <properties>
        <git.user.name>git</git.user.name>
        <git.user.token>git</git.user.token>
        <git.project.url>
            https://${git.user.name}:${git.user.token}@gitlab.inria.fr/gazelle/public/simulation/xdstar-modules
        </git.project.url>
        <xds.code.version>0.0.6</xds.code.version>
        <version.drools>5.3.3.Final</version.drools>
        <gazelle.plugins.version>1.60</gazelle.plugins.version>
        <messages.mode>crowdin</messages.mode>
        <additionalparam>-Xdoclint:none</additionalparam>
    </properties>
    <build>
        <pluginManagement>
            <plugins>
                <plugin>
                    <artifactId>maven-dependency-plugin</artifactId>
                    <version>3.0.2</version>
                </plugin>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-war-plugin</artifactId>
                    <version>3.3.1</version>
                </plugin>
                <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                    <artifactId>gazelle-plugins</artifactId>
                    <configuration>
                        <ignoredParamNames>
                            <ignoredParamName>ID</ignoredParamName>
                            <ignoredParamName>divToRerender</ignoredParamName>
                            <ignoredParamName>diagramFile</ignoredParamName>
                            <ignoredParamName>pic</ignoredParamName>
                        </ignoredParamNames>
                    </configuration>
                </plugin>
            </plugins>
        </pluginManagement>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <configuration>
                    <skip>${skipUnitTests}</skip>
                    <argLine>${argLine} -Xmx1024m -XX:MaxPermSize=256m</argLine>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.sonarsource.scanner.maven</groupId>
                <artifactId>sonar-maven-plugin</artifactId>
                <version>${sonar.maven.plugin}</version>
            </plugin>
        </plugins>
    </build>
    <reporting>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-checkstyle-plugin</artifactId>
                <version>2.17</version>
            </plugin>
            <!--plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-javadoc-plugin</artifactId>
                    <version>2.10.4</version>
            </plugin <plugin>
                    <groupId>org.codehaus.mojo</groupId>
                     <artifactId>gazelle-plugins</artifactId>
                    <version>1.60</version>
            </plugin>-->

        </plugins>
    </reporting>

    <profiles>
        <profile>
            <id>dev</id>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
        <profile>
            <id>prod</id>
        </profile>
    </profiles>
    <dependencyManagement>
        <dependencies>


        </dependencies>
    </dependencyManagement>
    <modules>
        <module>XDSValidator-ejb</module>
        <module>XDStarCommon-ejb</module>
        <module>XDStarCommon-war</module>
        <module>XDRSRCSimulator-ejb</module>
        <module>XDRSRCSimulator-war</module>
        <module>RegistryStoredQuery-ejb</module>
        <module>RegistryStoredQuery-war</module>
        <module>RetrieveDocumentSet-ejb</module>
        <module>RetrieveDocumentSet-war</module>
        <module>XCAInitiatingGateway-ejb</module>
        <module>XCAInitiatingGateway-war</module>
        <module>XCPDINITSimulator-ejb</module>
        <module>XCPDINITSimulator-war</module>
        <module>QueryPharmacyDocument-ejb</module>
        <module>QueryPharmacyDocument-war</module>
        <module>CrossGatewayFetch-ejb</module>
        <module>CrossGatewayFetch-war</module>
        <module>XDSImaging-ejb</module>
        <module>XDSImaging-war</module>
        <module>DSUBSimulator-ejb</module>
        <module>DSUBSimulator-war</module>
        <module>WADOValidator-jar</module>
    </modules>
    <repositories>
        <repository>
            <id>IHE</id>
            <name>IHE Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>

    <distributionManagement>
        <repository>
            <id>nexus-releases</id>
            <url>https://gazelle.ihe.net/nexus/content/repositories/releases</url>
        </repository>
        <snapshotRepository>
            <id>nexus-snapshots</id>
            <url>https://gazelle.ihe.net/nexus/content/repositories/snapshots/</url>
        </snapshotRepository>
    </distributionManagement>
</project>
